package com.jiuqi.mde;

/* loaded from: com_jiuqi_mde.jar:com/jiuqi/mde/MDESchema.class */
public class MDESchema {
    protected String schemaName;
    protected MDEDimensionSet allDimensions = new MDEDimensionSet();
    protected MDEFieldSet allFields = new MDEFieldSet();
    protected MDEDataInfoSet allTableInfos = new MDEDataInfoSet();

    public MDESchema(String name) {
        this.schemaName = name;
    }

    public final String getName() {
        return this.schemaName;
    }

    public final MDEDimension getDimension(String name) {
        MDEDimension result = this.allDimensions.find(name);
        if (result == null) {
            result = this.allDimensions.find(name.toUpperCase());
        }
        return result;
    }

    public final MDEFieldSet fields() {
        return this.allFields;
    }

    public final MDEField getField(String uniqueName) {
        MDEField result = this.allFields.find(uniqueName);
        if (result == null) {
            result = this.allFields.find(uniqueName.toUpperCase());
        }
        return result;
    }

    public final MDEDataInfoSet tableInfos() {
        return this.allTableInfos;
    }

    public final MDEDataInfo getTableInfo(String tableName) {
        MDEDataInfo result = this.allTableInfos.find(tableName);
        if (result == null) {
            result = this.allTableInfos.find(tableName.toUpperCase());
        }
        return result;
    }

    public final MDEDataInfo createTableInfo(String tableName, MDEDimensionSet dimensions) {
        MDEDataInfo result = new MDEDataInfo(tableName);
        result.dimensions().add(dimensions);
        this.allTableInfos.add(result);
        return result;
    }

    public final MDEDataInfo getCalcTableInfoByDimension(MDEDimensionSet dimensions) {
        for (int i = 0; i < this.allTableInfos.size(); i++) {
            MDEDataInfo result = this.allTableInfos.get(i);
            if (result.isTemporary() && result.dimensions().equals(dimensions)) {
                return result;
            }
        }
        MDEDataInfo result2 = new MDEDataInfo("CalcTable " + String.valueOf(this.allTableInfos.size()));
        result2.setIsTemporary(true);
        result2.dimensions().add(dimensions);
        this.allTableInfos.add(result2);
        return result2;
    }

    public final MDEDataInfo getFieldTableInfo(String fieldName) {
        MDEField field = getField(fieldName);
        if (field == null) {
            return null;
        }
        return this.allTableInfos.find(field.tableName);
    }

    public final MDEDimensionSet getFieldDimensions(String uniqueName) {
        MDEDataInfo result;
        MDEField field = getField(uniqueName);
        if (field != null && (result = this.allTableInfos.find(field.tableName)) != null) {
            return result.dimensions();
        }
        return null;
    }

    public final void compelete() {
        for (int i = 0; i < this.allTableInfos.size(); i++) {
            this.allTableInfos.get(i).complete();
        }
    }
}
