package com.jiuqi.syntax;

/* loaded from: com_jiuqi_syntax.jar:com/jiuqi/syntax/CommonTransJavaScriptListener.class */
public class CommonTransJavaScriptListener implements TransJavaScriptListener {
    public static final String UNSUPPORTED_FUNCTION = "不支持的函数或不能转换成JavaScript代码";
    protected String errorMessage = "";

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getGetCellValueJS(DataCell dataCell) {
        throw new UnsupportedOperationException("请实现getGetCellValueJS()方法.");
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getSetCellValueJS(DataCell dataCell, String cellValue) {
        throw new UnsupportedOperationException("请实现getSetCellValueJS()方法.");
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getFunctionJS(String syntaxFuncName, String param1, String param2, String param3, String param4) {
        if (syntaxFuncName.equals("ABS")) {
            return "Math.abs(" + param1 + ")";
        }
        if (syntaxFuncName.equals("INT")) {
            return "Math.round(" + param1 + "-0.5)";
        }
        if (syntaxFuncName.equals("ROUND")) {
            return "Math.round(" + param1 + ")";
        }
        if (syntaxFuncName.equals("MOD")) {
            return "(" + param1 + " % " + param2 + ")";
        }
        if (syntaxFuncName.equals("POWER")) {
            return "Math.pow(" + param1 + "," + param2 + ")";
        }
        if (syntaxFuncName.equals("VAL")) {
            return param1;
        }
        if (syntaxFuncName.equals("STR")) {
            return param1;
        }
        if (syntaxFuncName.equals("L$")) {
            return String.valueOf(param1) + ".substr(0," + param2 + ")";
        }
        if (syntaxFuncName.equals("R$")) {
            return String.valueOf(param1) + ".substr(" + param1 + ".length-" + param2 + "," + param2 + ")";
        }
        if (syntaxFuncName.equals("M$")) {
            return String.valueOf(param1) + ".substr(" + param2 + "-1," + param3 + ")";
        }
        if (syntaxFuncName.equals("POS")) {
            return String.valueOf(param2) + ".indexOf(" + param1 + ")+1";
        }
        if (syntaxFuncName.equals("LEN")) {
            return String.valueOf(param1) + ".length";
        }
        if (syntaxFuncName.equals("ISNULL")) {
            return "isNaN(" + param1 + ")";
        }
        if (syntaxFuncName.equals("DATEVALUE")) {
            return "date(" + param1 + ")";
        }
        if (syntaxFuncName.equals("DATE")) {
            return "date(" + param1 + "," + param2 + "," + param3 + ")";
        }
        if (syntaxFuncName.equals("YEAR")) {
            return String.valueOf(param1) + ".getFullYear()";
        }
        if (syntaxFuncName.equals("MONTH")) {
            return "(" + param1 + ".getMonth()+1)";
        }
        if (syntaxFuncName.equals("DAY")) {
            return String.valueOf(param1) + ".getDate()";
        }
        if (syntaxFuncName.equals("TODAY")) {
            return "new Date()";
        }
        this.errorMessage = UNSUPPORTED_FUNCTION;
        return "";
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getFunctionJS(String syntaxFuncName, String param1, String param2, String param3) {
        return getFunctionJS(syntaxFuncName, param1, param2, param3, "");
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getFunctionJS(String syntaxFuncName, String param1, String param2) {
        return getFunctionJS(syntaxFuncName, param1, param2, "", "");
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getFunctionJS(String syntaxFuncName, String param1) {
        return getFunctionJS(syntaxFuncName, param1, "", "", "");
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getFunctionJS(String syntaxFuncName) {
        return getFunctionJS(syntaxFuncName, "", "", "", "");
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getFunctionJS(String syntaxFuncName, String[] params) {
        return params.length == 0 ? getFunctionJS(syntaxFuncName) : params.length == 1 ? getFunctionJS(syntaxFuncName, params[0]) : params.length == 2 ? getFunctionJS(syntaxFuncName, params[0], params[1]) : params.length == 3 ? getFunctionJS(syntaxFuncName, params[0], params[1], params[2]) : params.length >= 4 ? getFunctionJS(syntaxFuncName, params[0], params[1], params[2], params[3]) : "";
    }

    @Override // com.jiuqi.syntax.TransJavaScriptListener
    public String getErrorMessage() {
        return this.errorMessage;
    }
}
