package com.jiuqi.util;

/* compiled from: StatCell.java */
/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/AvgStatCell.class */
class AvgStatCell extends StatCell {
    private int count = 0;
    private double total = 0.0d;
    private Object result = null;

    @Override // com.jiuqi.util.StatCell
    public void reset() {
        this.total = 0.0d;
        this.result = null;
    }

    @Override // com.jiuqi.util.StatCell
    public void statistic(Object value) {
        if (value instanceof Double) {
            this.total += ((Double) value).doubleValue();
            this.count++;
            return;
        }
        if (value instanceof Integer) {
            this.total += ((Integer) value).intValue();
            this.count++;
            return;
        }
        if (value instanceof Short) {
            this.total += ((Short) value).intValue();
            this.count++;
        } else if (value instanceof Long) {
            this.total += ((Long) value).longValue();
            this.count++;
        } else if (value instanceof String) {
            try {
                this.total += Double.parseDouble((String) value);
                this.count++;
            } catch (NumberFormatException unused) {
            }
        }
    }

    @Override // com.jiuqi.util.StatCell
    public Object getResult() {
        if (this.result == null && this.count > 0) {
            this.result = new Double(this.total / this.count);
        }
        return this.result;
    }
}
