package com.jiuqi.util;

import java.math.BigInteger;
import java.util.Random;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/Guid.class */
public final class Guid implements Cloneable {
    private static final char[] HEX_CHARS = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};
    private static final char[] BASE64_CHARS = {'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '+', '/', '='};
    public static int GUID_SIZE = 32;
    public static String emptyGuid = "00000000000000000000000000000000";
    private static Random rndGuid = new Random(Math.round(Math.random() * 10000.0d));
    private byte[] data = new byte[16];

    public static String newGuid() {
        Guid T = new Guid();
        T.generate();
        return T.toString();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v2, types: [java.util.Random] */
    /* JADX WARN: Type inference failed for: r0v3, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r0v5 */
    public void generate() {
        BigInteger BI1 = BigInteger.valueOf(System.currentTimeMillis());
        ?? r0 = rndGuid;
        synchronized (r0) {
            BigInteger BI2 = new BigInteger(64, rndGuid);
            r0 = r0;
            byte[] BA = BI1.toByteArray();
            for (int i = 0; i < 8 - BA.length; i++) {
                this.data[i] = 0;
            }
            for (int i2 = 0; i2 < BA.length; i2++) {
                this.data[(8 - BA.length) + i2] = BA[i2];
            }
            byte[] BA2 = BI2.toByteArray();
            for (int i3 = 0; i3 < 8 - BA2.length; i3++) {
                this.data[8 + i3] = 0;
            }
            for (int i4 = 0; i4 < BA2.length; i4++) {
                if (BA2.length - i4 <= 8) {
                    this.data[(16 - BA2.length) + i4] = BA2[i4];
                }
            }
        }
    }

    public Object clone() {
        Guid copy = new Guid();
        copy.data = (byte[]) this.data.clone();
        return copy;
    }

    public boolean equals(Object o) {
        if (o instanceof Guid) {
            return this.data.equals(((Guid) o).data);
        }
        return false;
    }

    public String toString() {
        StringBuffer str = new StringBuffer(32);
        for (int i = 0; i < this.data.length; i++) {
            int code = (this.data[i] >> 4) & 15;
            str.append(HEX_CHARS[code]);
            int code2 = this.data[i] & 15;
            str.append(HEX_CHARS[code2]);
        }
        return str.toString();
    }

    public String tobase64() {
        StringBuffer s = new StringBuffer("0000000000000000000000");
        int p = 0;
        int i = 0;
        while (i < 15) {
            int i2 = i;
            int i3 = i + 1;
            int b = (this.data[i2] >>> 2) & 63;
            int i4 = p;
            int p2 = p + 1;
            s.setCharAt(i4, BASE64_CHARS[b]);
            int i5 = i3 + 1;
            byte b2 = this.data[i3];
            int b3 = (b2 >>> 4) & 15;
            int t = b2 & 3;
            int p3 = p2 + 1;
            s.setCharAt(p2, BASE64_CHARS[b3 | (t << 4)]);
            i = i5 + 1;
            byte b4 = this.data[i5];
            int b5 = (b4 >>> 6) & 3;
            int t2 = b4 & 15;
            int t3 = t2 << 2;
            int p4 = p3 + 1;
            s.setCharAt(p3, BASE64_CHARS[b5 | t3]);
            p = p4 + 1;
            s.setCharAt(p4, BASE64_CHARS[t3 & 63]);
        }
        int i6 = i;
        int i7 = i + 1;
        int b6 = (this.data[i6] >>> 2) & 63;
        int i8 = p;
        int p5 = p + 1;
        s.setCharAt(i8, BASE64_CHARS[b6]);
        int b7 = (0 >>> 4) & 15;
        int t4 = 0 & 3;
        int i9 = p5 + 1;
        s.setCharAt(p5, BASE64_CHARS[b7 | (t4 << 4)]);
        return new String(s);
    }
}
