package com.jiuqi.util;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/JQException.class */
public class JQException extends Exception {
    private int errorCode;
    public static final int UNDEFINE = -1;

    public JQException() {
        this.errorCode = -1;
    }

    public JQException(int errorCode) {
        this.errorCode = errorCode;
    }

    public JQException(String message) {
        super(message);
        this.errorCode = -1;
    }

    public JQException(String message, int errorCode) {
        super(message);
        this.errorCode = errorCode;
    }

    public JQException(Throwable cause) {
        super(cause.getMessage(), cause);
        if (cause instanceof JQException) {
            this.errorCode = ((JQException) cause).errorCode;
        } else {
            this.errorCode = -1;
        }
    }

    public JQException(JQException cause) {
        super(cause.getMessage(), cause);
        this.errorCode = cause.errorCode;
    }

    public JQException(Throwable cause, int errorCode) {
        super(cause.getMessage(), cause);
        this.errorCode = errorCode;
    }

    public JQException(String message, Throwable cause) {
        super(message, cause);
        if (cause instanceof JQException) {
            this.errorCode = ((JQException) cause).errorCode;
        } else {
            this.errorCode = -1;
        }
    }

    public JQException(String message, JQException cause) {
        super(message, cause);
        this.errorCode = cause.errorCode;
    }

    public JQException(String message, Throwable cause, int errorCode) {
        super(message, cause);
        this.errorCode = errorCode;
    }

    @Override // java.lang.Throwable
    public String toString() {
        return String.valueOf(super.toString()) + " (" + Integer.toString(this.errorCode) + StringHelper.rightParenthesis;
    }

    public int getErrorCode() {
        return this.errorCode;
    }
}
