package com.jiuqi.util;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/ParseDataSource.class */
public class ParseDataSource {
    public static final int DATA_CONN_MSSQL2000 = 1;
    public static final int DATA_CONN_MSSQL2005 = 4;
    public static final int DATA_CONN_ORACLE = 2;
    public static final int DATA_CONN_DB2_LOCAL = 3;
    public static final int DATA_CONN_DB2_REMOTE = 5;
    public static final int DATA_CONN_MYSQL = 6;
    public static final int DATA_CONN_Other = 0;
    public static final String DATA_CONN_TITLE_MSSQL2000 = "SQL Server2000";
    public static final String DATA_CONN_TITLE_MSSQL2005 = "SQL SERVER2005";
    public static final String DATA_CONN_TITLE_ORACLE = "Oracle";
    public static final String DATA_CONN_TITLE_DB2_LOCAL = "Local DB2";
    public static final String DATA_CONN_TITLE_DB2_REMOTE = "Remote DB2";
    public static final String DATA_CONN_TITLE_MYSQL = "MySql";
    public static final String DATA_CONN_TITLE_Other = "其它";

    public static int getKind(String url) {
        int kind = 0;
        if (!StringUtils.isEmpty(url)) {
            String lowerUrl = url.toLowerCase();
            if (lowerUrl.indexOf("sqlserver") != -1) {
                kind = lowerUrl.indexOf("microsoft") != -1 ? 1 : 4;
            } else if (lowerUrl.indexOf("oracle") != -1) {
                kind = 2;
            } else if (lowerUrl.indexOf("db2") != -1) {
                kind = lowerUrl.indexOf("//") != -1 ? 5 : 3;
            } else if (lowerUrl.indexOf("mysql") != -1) {
                kind = 6;
            }
        }
        return kind;
    }

    /* JADX WARN: Failed to find 'out' block for switch in B:2:0x0008. Please report as an issue. */
    public static String getServer(String url) {
        int beginIndex;
        int kind = getKind(url);
        switch (kind) {
            case 1:
            case 4:
            case 5:
            case 6:
                beginIndex = url.indexOf("//") + 2;
                int endIndex = url.indexOf(":", beginIndex);
                String server = url.substring(beginIndex, endIndex);
                return server;
            case 2:
                beginIndex = url.indexOf("@") + 1;
                int endIndex2 = url.indexOf(":", beginIndex);
                String server2 = url.substring(beginIndex, endIndex2);
                return server2;
            case 3:
                return "localhost";
            default:
                return null;
        }
    }

    /* JADX WARN: Failed to find 'out' block for switch in B:2:0x0008. Please report as an issue. */
    public static String getPort(String url) {
        int beginIndex;
        int endIndex;
        int kind = getKind(url);
        switch (kind) {
            case 1:
            case 4:
                beginIndex = url.lastIndexOf(":") + 1;
                endIndex = url.indexOf(StringHelper.semicolon);
                String port = url.substring(beginIndex, endIndex);
                return port;
            case 2:
                beginIndex = url.indexOf(":", url.indexOf("@")) + 1;
                endIndex = url.lastIndexOf(":");
                String port2 = url.substring(beginIndex, endIndex);
                return port2;
            case 3:
                return "50000";
            case 5:
            case 6:
                beginIndex = url.lastIndexOf(":") + 1;
                endIndex = url.lastIndexOf("/");
                String port22 = url.substring(beginIndex, endIndex);
                return port22;
            default:
                return null;
        }
    }

    public static String getDBName(String url) {
        int beginIndex;
        int kind = getKind(url);
        switch (kind) {
            case 1:
            case 4:
                beginIndex = url.indexOf(StringHelper.equal) + 1;
                break;
            case 2:
            case 3:
                beginIndex = url.lastIndexOf(":") + 1;
                break;
            case 5:
                beginIndex = url.lastIndexOf("/") + 1;
                break;
            case 6:
                beginIndex = url.lastIndexOf("/") + 1;
                int endIndex = url.indexOf(StringHelper.interrogation);
                if (endIndex != -1 && endIndex > beginIndex) {
                    return url.substring(beginIndex, endIndex);
                }
                break;
            default:
                return null;
        }
        String dbName = url.substring(beginIndex);
        return dbName;
    }

    /* JADX WARN: Failed to find 'out' block for switch in B:2:0x0001. Please report as an issue. */
    public static String getDriverClass(int kind) {
        String driverClass;
        switch (kind) {
            case 1:
                driverClass = "com.microsoft.jdbc.sqlserver.SQLServerDriver";
                return driverClass;
            case 2:
                driverClass = "oracle.jdbc.driver.OracleDriver";
                return driverClass;
            case 3:
            case 5:
                driverClass = "COM.ibm.db2.jdbc.app.DB2Driver";
                return driverClass;
            case 4:
                driverClass = "com.microsoft.sqlserver.jdbc.SQLServerDriver";
                return driverClass;
            case 6:
                driverClass = "com.mysql.jdbc.Driver";
                return driverClass;
            default:
                return null;
        }
    }

    /* JADX WARN: Failed to find 'out' block for switch in B:2:0x000a. Please report as an issue. */
    public static String buildUrl(int kind, String server, String port, String dbName) {
        StringBuffer urlStr = new StringBuffer();
        switch (kind) {
            case 1:
                urlStr.append("jdbc:microsoft:sqlserver://");
                urlStr.append(server);
                urlStr.append(":").append(port).append(";DatabaseName=").append(dbName);
                return urlStr.toString();
            case 2:
                urlStr.append("jdbc:oracle:thin:@");
                urlStr.append(server);
                urlStr.append(":").append(port).append(":").append(dbName);
                return urlStr.toString();
            case 3:
                urlStr.append("jdbc:db2:" + dbName);
                return urlStr.toString();
            case 4:
                urlStr.append("jdbc:sqlserver://");
                urlStr.append(server);
                urlStr.append(":").append(port).append(";DatabaseName=").append(dbName);
                return urlStr.toString();
            case 5:
                urlStr.append("jdbc:db2://");
                urlStr.append(server);
                urlStr.append(":").append(port).append("/").append(dbName);
                return urlStr.toString();
            case 6:
                urlStr.append("jdbc:mysql://");
                urlStr.append(server);
                urlStr.append(":").append(port).append("/").append(dbName);
                return urlStr.toString();
            default:
                return null;
        }
    }

    public static String getConnTitle(int connKind) {
        switch (connKind) {
            case 1:
                return DATA_CONN_TITLE_MSSQL2000;
            case 2:
                return DATA_CONN_TITLE_ORACLE;
            case 3:
                return DATA_CONN_TITLE_DB2_LOCAL;
            case 4:
                return DATA_CONN_TITLE_MSSQL2005;
            case 5:
                return DATA_CONN_TITLE_DB2_REMOTE;
            case 6:
                return DATA_CONN_TITLE_MYSQL;
            default:
                return DATA_CONN_TITLE_Other;
        }
    }

    public static String getDefaultPort(int kind) {
        switch (kind) {
            case 1:
                return "1433";
            case 2:
                return "1521";
            case 3:
                return "50000";
            case 4:
                return "1433";
            case 5:
            default:
                return "";
            case 6:
                return "3306";
        }
    }
}
