package com.jiuqi.util;

/* compiled from: StatCell.java */
/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/SumStatCell.class */
class SumStatCell extends StatCell {
    private boolean isNull = true;
    private double total = 0.0d;
    private Object result = null;

    @Override // com.jiuqi.util.StatCell
    public void reset() {
        this.isNull = true;
        this.total = 0.0d;
        this.result = null;
    }

    @Override // com.jiuqi.util.StatCell
    public void statistic(Object value) {
        if (value instanceof Double) {
            this.total += ((Double) value).doubleValue();
            this.isNull = false;
            return;
        }
        if (value instanceof Integer) {
            this.total += ((Integer) value).intValue();
            this.isNull = false;
            return;
        }
        if (value instanceof Short) {
            this.total += ((Short) value).intValue();
            this.isNull = false;
        } else if (value instanceof Long) {
            this.total += ((Long) value).longValue();
            this.isNull = false;
        } else if (value instanceof String) {
            try {
                this.total += Double.parseDouble((String) value);
                this.isNull = false;
            } catch (NumberFormatException unused) {
            }
        }
    }

    @Override // com.jiuqi.util.StatCell
    public Object getResult() {
        if (this.result == null && !this.isNull) {
            this.result = new Double(this.total);
        }
        return this.result;
    }
}
