package com.jiuqi.util.tree;

/* loaded from: com_jiuqi_util_tree.jar:com/jiuqi/util/tree/TreeBuilderFactory.class */
public class TreeBuilderFactory {
    private TreeBuilderFactory() {
    }

    public static TreeBuilder createParentTreeBuilder(ObjectVistor vistor) throws TreeException {
        if (vistor == null) {
            throw new TreeException("没有指定对象访问器，无法进行对象操作！");
        }
        return new ParentTreeBuilder(vistor);
    }

    public static TreeBuilder createStructTreeBuilder(ObjectVistor vistor, String structStr) throws TreeException {
        if (vistor == null) {
            throw new TreeException("没有指定对象访问器，无法进行对象操作！");
        }
        StructTreeBuilder builder = new StructTreeBuilder(vistor);
        builder.setStruct(structStr);
        return builder;
    }
}
