package com.jiuqi.util.zip;

/* loaded from: com_jiuqi_util_zip.jar:com/jiuqi/util/zip/UnrecognizedExtraField.class */
public class UnrecognizedExtraField implements ZipExtraField {
    private ZipShort headerId;
    private byte[] localData;
    private byte[] centralData;

    public void setHeaderId(ZipShort headerId) {
        this.headerId = headerId;
    }

    @Override // com.jiuqi.util.zip.ZipExtraField
    public ZipShort getHeaderId() {
        return this.headerId;
    }

    public void setLocalFileDataData(byte[] data) {
        this.localData = data;
    }

    @Override // com.jiuqi.util.zip.ZipExtraField
    public ZipShort getLocalFileDataLength() {
        return new ZipShort(this.localData.length);
    }

    @Override // com.jiuqi.util.zip.ZipExtraField
    public byte[] getLocalFileDataData() {
        return this.localData;
    }

    public void setCentralDirectoryData(byte[] data) {
        this.centralData = data;
    }

    @Override // com.jiuqi.util.zip.ZipExtraField
    public ZipShort getCentralDirectoryLength() {
        if (this.centralData != null) {
            return new ZipShort(this.centralData.length);
        }
        return getLocalFileDataLength();
    }

    @Override // com.jiuqi.util.zip.ZipExtraField
    public byte[] getCentralDirectoryData() {
        if (this.centralData != null) {
            return this.centralData;
        }
        return getLocalFileDataData();
    }

    @Override // com.jiuqi.util.zip.ZipExtraField
    public void parseFromLocalFileData(byte[] data, int offset, int length) {
        byte[] tmp = new byte[length];
        System.arraycopy(data, offset, tmp, 0, length);
        setLocalFileDataData(tmp);
    }
}
