package com.jiuqi.util.zip;

/* loaded from: com_jiuqi_util_zip.jar:com/jiuqi/util/zip/ZipLong.class */
public final class ZipLong implements Cloneable {
    private long value;

    public ZipLong(long value) {
        this.value = value;
    }

    public ZipLong(byte[] bytes) {
        this(bytes, 0);
    }

    public ZipLong(byte[] bytes, int offset) {
        this.value = (bytes[offset + 3] << 24) & 4278190080L;
        this.value += (bytes[offset + 2] << 16) & 16711680;
        this.value += (bytes[offset + 1] << 8) & 65280;
        this.value += bytes[offset] & 255;
    }

    public byte[] getBytes() {
        byte[] result = {(byte) (this.value & 255), (byte) ((this.value & 65280) >> 8), (byte) ((this.value & 16711680) >> 16), (byte) ((this.value & 4278190080L) >> 24)};
        return result;
    }

    public long getValue() {
        return this.value;
    }

    public boolean equals(Object o) {
        return o != null && (o instanceof ZipLong) && this.value == ((ZipLong) o).getValue();
    }

    public int hashCode() {
        return (int) this.value;
    }
}
