package com.jiuqi.util.zip;

/* loaded from: com_jiuqi_util_zip.jar:com/jiuqi/util/zip/ZipShort.class */
public final class ZipShort implements Cloneable {
    private int value;

    public ZipShort(int value) {
        this.value = value;
    }

    public ZipShort(byte[] bytes) {
        this(bytes, 0);
    }

    public ZipShort(byte[] bytes, int offset) {
        this.value = (bytes[offset + 1] << 8) & 65280;
        this.value += bytes[offset] & 255;
    }

    public byte[] getBytes() {
        byte[] result = {(byte) (this.value & 255), (byte) ((this.value & 65280) >> 8)};
        return result;
    }

    public int getValue() {
        return this.value;
    }

    public boolean equals(Object o) {
        return o != null && (o instanceof ZipShort) && this.value == ((ZipShort) o).getValue();
    }

    public int hashCode() {
        return this.value;
    }
}
